%define real_name starterbar-desklet

Summary: Starterbar sensor and display for gdesklets
Name: gdesklets-starterbar
Version: 0.31.3
Release: 1%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://gdesklets.gnomedesktop.org/
Source: http://gdesklets.gnomedesktop.org/files/starterbar-desklet-%{version}.tar.gz
Source1: Makefile_install_scripts.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: gdesklets >= 0.35
Requires: gdesklets, gnome-python2-gnomevfs

%description
An icon bar for GNOME where you can put starters into. Yes, you can do
the same with the GNOME panel, but this one is pure eye candy!

%prep
%setup -n %{real_name}-%{version} -a 1
%build
rm -rf pyxdg
%{__make} \
	PACKAGE_NAME="StarterBar"

%install
%{__rm} -rf %{buildroot}
%makeinstall \
	PACKAGE_NAME="StarterBar"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%{_bindir}/*
%{_datadir}/gdesklets/Displays/*
%{_datadir}/gdesklets/Sensors/*

%changelog
* Fri Apr 21 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Build for StartCom Linux 5.0.x

